summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorCedric Girard2010-12-22 12:22:10 +0100
committerCedric Girard2010-12-22 12:22:10 +0100
commit1cad33510686bddbad5c0009e901e0fbb684ee0b (patch)
tree8c102f154b5ce464f47b0ff098b794bc5c2b15d8
downloadaur-1cad33510686bddbad5c0009e901e0fbb684ee0b.tar.gz
added AUR PKGBUILDs
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD23
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..09bd22e7202
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = gmpc-plugins
+ pkgdesc = official plugins for GMPC
+ pkgver = 0.20.0
+ pkgrel = 2
+ url = http://gmpc.wikia.com/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = gob2
+ makedepends = intltool
+ depends = libmpd>=0.19.0
+ depends = gmpc>=0.19.0
+ depends = lirc
+ depends = xosd
+ depends = libwebkit
+ depends = libmicrohttpd
+ depends = taglib
+ options = !libtool
+ source = http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-plugins-0.20.0.tar.gz
+ md5sums = e8c47c7cfeb8aab8995beef45d1c95ce
+
+pkgname = gmpc-plugins
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f29f83d24f9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Cedric Girard <girard.cedric@gmail.com>
+# Contributor: Dmitrij D. Czarkoff <czarkoff@gmail.com>
+pkgname=gmpc-plugins
+pkgver=0.20.0
+pkgrel=2
+pkgdesc="official plugins for GMPC"
+arch=(i686 x86_64)
+url="http://gmpc.wikia.com/"
+license="GPL"
+depends=('libmpd>=0.19.0' 'gmpc>=0.19.0' 'lirc' 'xosd' 'libwebkit' 'libmicrohttpd' 'taglib')
+makedepends=('gob2' 'intltool')
+source=(http://download.sarine.nl/Programs/gmpc/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('e8c47c7cfeb8aab8995beef45d1c95ce')
+options=(!libtool)
+
+build() {
+ cd ${startdir}/src
+ tar xzf ${pkgname}-${pkgver}.tar.gz
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+}